%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%if %{?fedora}%{!?fedora:0} >= 7 || %{?rhel}%{!?rhel:0} >= 6
%global python_bindings 1
%else
%global python_bindings 0
%endif

Name:		canl-c++
Version:	1.1.0
Release:	5%{?dist}
Summary:	EMI Common Authentication library - bindings for C++

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://www.nordugrid.org/
Source0:	http://download.nordugrid.org/packages/%{name}/releases/%{version}/src/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	nss-devel >= 3.10
BuildRequires:	openssl-devel
BuildRequires:	cppunit-devel
BuildRequires:	glibmm24-devel
%if %{?fedora}%{!?fedora:0} >= 15 || %{?rhel}%{!?rhel:0} >= 7
BuildRequires:	libdb-cxx-devel
%else
BuildRequires:	db4-devel
%endif
%if %{python_bindings}
BuildRequires:	python-devel
BuildRequires:	swig
%endif

%description
This is the C++ part of the EMI caNl -- the Common Authentication
Library.

%package devel
Group:		Development/Libraries
Summary:	EMI Common Authentication library - development files for C++
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development libraries and header files for EMI caNl
C++ bindings.

%if %{python_bindings}
%package python
Summary:	EMI Common Authentication library - Python bindings 
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description python
EMI Common Authentication Library (caNl) Python bindings.
%endif

%prep
%setup -q

%build
%configure

# Reduce overlinking
sed 's!CC \(.*-shared\) !CC \\\${wl}--as-needed \1 !' -i libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -type f -name \*.la -exec rm -fv '{}' ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{!?_licensedir: %doc README debian/copyright}
%{?_licensedir: %doc README}
%{?_licensedir: %license debian/copyright}
%{_libdir}/libcanl_c++.so.*

%files devel
%{_libdir}/libcanl_c++.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/canlxx.h
%{_libdir}/pkgconfig/%{name}.pc

%if %{python_bindings}
%files python
%{python_sitearch}/canl
%endif

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 27 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.0-4
- Rebuilt for gcc C++ ABI change (rawhide)
- Implement updated license packaging guidelines

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.0-1
- Update to version 1.1.0

* Thu Nov 28 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.1-1
- Update to version 1.0.1
- Add python bindings package

* Sat Jul 27 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.0-3
- Fix Group tag
- Remove defattr
- Fix include directory ownership

* Thu Jun 13 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.0-2
- Add copyright file
- Reduce libtool overlinking

* Mon Apr 15 2013 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.0-1
- Initial packaging for Fedora
